Subject: Re: guix pull extremely verbose (with no ----verbose)

From: Giovanni Biscuolo <[email-masked]>
Date: Fri, 24 May 2019 16:26:39 +0200

Hi,

I'm adding some more context in this bug report, adding more info below

Please note that I got the same result (verbosity in guix pull) on a
Guix System machine, other than the foreing distro one I'm adding infos
about

Giovanni Biscuolo <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>>> I've run "guix pull" many many times since today but now after that
>>> command I see a lot of logs like this one:
>>>
>>> --8<---------------cut here---------------start------------->8---
>>> @ build-log 9461 44
>>> checking if GSS-API support is requested... @ build-log 9461 4
>>> yes
>>> @ build-log 9461 28
>>> checking gss.h usability... @ build-log 9461 4
>>> yes
>> […]
>>
>> Are you using an old daemon?  These are hints that are filtered by the
>> daemon — if it is recent enough.
>
> Is guix-daemon 1.0.0 recent enough?
>
> On the Guix System machine:
>
> --8<---------------cut here---------------start------------->8---
>  ~$ sudo -i guix-daemon --version
> guix-daemon (GNU Guix) 1.0.1-1.8204295
> --8<---------------cut here---------------end--------------->8---
>
> That machine finished "guix pull" in more or less 33 mins, it's a 32
> cores machine with 64GB RAM
>
> After that now "guix pull" does not output debug messages
>
> On the foreign distro machine:
>
> --8<---------------cut here---------------start------------->8---
> $ sudo -i guix-daemon --version
> guix-daemon (GNU Guix) 1.0.0-1.326dcbf
> --8<---------------cut here---------------end--------------->8---
>
> Anyway it was running since Wed 2019-05-15 11:43:04 CEST (1 weeks 1 days
> ago): I restarted and "guix pull"ed again...
>
>
> --8<---------------cut here---------------start------------->8---
> $ time guix pull
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> Building from this channel:
>   guix      https://git.savannah.gnu.org/git/guix.git   a9150d4
>
>
> --8<---------------cut here---------------end--------------->8---
>
> and I still get a lot of verbose output... this time I'm going to wait
> until it'll finish (previously I always interrupted it)

OK, that's the result of yesterday's "guix pull" on the above mentioned
machine:

--8<---------------cut here---------------start------------->8---

[lot of verbose output]

phase `compress-documentation' succeeded after 0.0 seconds
@ build-succeeded /gnu/store/7w7da86j05vzgd9f9m1zgm5mg02fb6jq-guix-daemon-1.0.1-1.8204295.drv -

The following derivations will be built:
   /gnu/store/cxmmywcs4r3rw9qy4h8c0d7w4wbjrfwk-guix-a9150d4c2.drv
   /gnu/store/sl7hfnvx7ss87yyfj3sz1vlx0pjqfzsl-guix-manual.drv
   /gnu/store/nd3b9v3wv8n12s7jb80ijka9l6idx4j5-guix-command.drv
   /gnu/store/mh2wsi58nyd8liw5cimcpkdfdm3ndpp6-guix-a9150d4c2-modules.drv
   /gnu/store/1nqhag5pahaa1iqyf860hg11gc7agqc4-guix-daemon.drv
   /gnu/store/wj1lgyy2dir968d56il2f81zlkf3bx9i-guix-core-modules.drv
   /gnu/store/whi40ivm1hn2hgfcwd6k38pgp1lb0ls1-guix-packages-base-modules.drv
   /gnu/store/w2dvgxjb92fl68dkcxiimyhb67ybkq78-guix-packages-modules.drv

[...]

building /gnu/store/wwpxhba6bn7svy2lhknb28xhxbb72z9w-profile.drv...
1 package in profile

New in this revision:
  46 new packages: acpi-call-linux-module, ataqv, drascula, emacs-ediprolog, emacs-evil-cleverparens, font-hermit, gcc-objc, gcc-objc, gcc-objc, gcc-objc, gcc-objc,
    gcc-objc, …
  134 packages upgraded: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked],
    [email-masked], [email-masked], …
hint: Run `guix pull --news' to view the complete list of package changes.

real    106m44.418s
user    3m13.571s
sys     0m6.573s

--8<---------------cut here---------------end--------------->8---

So it was very verbose and it took 106m

AFAIU the verbosity was for building guix-daemon

I'm now "guix pull"ing again and this is the result:

--8<---------------cut here---------------start------------->8---

$ time guix pull

Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git   b019965
Computing Guix derivation for 'x86_64-linux'...

[...]

substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
building /gnu/store/vialix3lcspqalwnzrsganvykcwaibfh-guix-packages-base.drv...

[...]

building database for manual pages...
building /gnu/store/496ia45a3xli9qcz0b6gq7j6qxyghczl-profile.drv...
building /gnu/store/pzdahlpy89vz91f3wyis026vdgvpgvam-inferior-script.scm.drv...
building package cache...
building /gnu/store/20gwy7qws1fndbgzyxm7b25zdznsxap2-profile.drv...
1 package in profile

New in this revision:
  1 new package: ioquake3
  9 packages upgraded: [email-masked], [email-masked], [email-masked], [email-masked], parallel@20190522, [email-masked], [email-masked], [email-masked],
    [email-masked]

real    35m54.178s
user    2m56.553s
sys     0m4.071s

--8<---------------cut here---------------end--------------->8---

it took 35 minutes but no verbose output was split

I did the same on the other (Guix System) machinne and the result was
the same: no verbose output today

AFAIK I'm using the same guix-daemon versions that gave me the verbose
output yesterday

Is it possible that verbose output is given only when building a
guix-daemon derivation like "guix pull" did yesterday?

Thanks! Gio'.

-- 
Giovanni Biscuolo

Xelera IT Infrastructures